package com.shanghaichengdi.ghjgitem.vo;

import javax.validation.constraints.NotBlank;

public class PageVo {

  @NotBlank(message = "pageIndex参数不可为空")
  Integer pageIndex;
  @NotBlank(message = "pageSize参数不可为空")
  Integer pageSize;


  public @NotBlank(message = "pageSize参数不可为空") Integer getPageSize() {
    if (pageSize > 500) {
      pageSize = 500;
    }
    return pageSize;
  }

  public void setPageSize(
      @NotBlank(message = "pageSize参数不可为空") Integer pageSize) {
    this.pageSize = pageSize;
  }

  public @NotBlank(message = "pageIndex参数不可为空") Integer getPageIndex() {
    return pageIndex;
  }

  public void setPageIndex(
      @NotBlank(message = "pageIndex参数不可为空") Integer pageIndex) {
    this.pageIndex = pageIndex;
  }
}
